<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Plan_Factory.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">constructors</a> &gt; <span class="el_source">Plan_Factory.java</span></div><h1>Plan_Factory.java</h1><pre class="source lang-java linenums">package constructors;

import java.util.ArrayList;

import plans.IPlan;
import plans.Plan_PostPago;
import plans.Plan_Prepago;
import plans.Plan_Wow;

<span class="fc" id="L10">public class Plan_Factory {</span>

	public IPlan ChooseRate(String type,ArrayList&lt;Integer&gt; telephoneFriends) {
<span class="fc" id="L13">		IPlan rateType = null;</span>
<span class="fc bfc" id="L14" title="All 2 branches covered.">		if (&quot;PLAN_POSTPAGO&quot;.equals(type)) </span>
<span class="fc" id="L15">            rateType = new Plan_PostPago();</span>
<span class="fc bfc" id="L16" title="All 2 branches covered.">        if (&quot;PLAN_PREPAGO&quot;.equals(type)) </span>
<span class="fc" id="L17">            rateType = new Plan_Prepago();</span>
<span class="fc bfc" id="L18" title="All 2 branches covered.">        if (&quot;PLAN_WOW&quot;.equals(type)) </span>
<span class="fc" id="L19">            rateType = new Plan_Wow(telephoneFriends);</span>
<span class="fc" id="L20">		return rateType;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>